# Standalone scripts

This is a collection of standalone scripts.


## `fetch-and-push-partner`

A script to fetch the AOSP partner security branches in the Android tree and
push them to our own repositories.


### Accessing upstream security branches

Anyone with access to Android Secuirity Bulletin previews (i.e. members of group
[android-partner-security](https://gitlab.fairphone.software/fp/wiki/wikis/fp2/gms_groups)
also have access to upstream security branches.

Patches which are included in upstream security branches are linked in the
bulletin JSON file and get copied into Jira issues as field _GSB Patch Link_
when running
[`gsb_to_jira`](https://review.fairphone.software:29443/gitweb?p=tools/gsb_to_jira.git;a=summary).

The branches are accessible from repositories hosted on
https://partner-android.googlesource.com and are prefixed with
`security-aosp-*`. For instance the `n` in {{security-aosp-nyc-mr2-release}}
indicates that the branch contains patches for Android Nougat MR2 (7.1.2).


### Commandline access

For Git access to the repositories, one needs to create a Git Cookie and store
it on one's local machine:

1. Go to https://partner-android.googlesource.com/
2. Click "Generate password"
3. Follow instructions


## `fetch-and-push-remote`
A script to fetch remote branches and tags in the Android tree and push them to
our own repositories.


## `find-issues`

A script to grep through the logs of external projects to find references for
Android Bug IDs, Qcom Create Point issues, CVE numbers etc.


## `merge-partner-on-aosp`

This script helps merging AOSP partner security branches in the Android tree.


## `ota_install`

A script to push an OTA to a device and initiate the update process with the
Fairphone Updater.


## `store-android-build-keys-in-keystore`

A script to store PKCS8 keys in a JKS keystore suitable for signing apps with
gradle.
